#pragma once
#include <Model2D.h>
#include "Laser.h"
#include <Random.h>

using namespace Framework;

class Asteroid : public Model2DObject
{
private:
    int id;
    WeltInfo wInfo;

public:
    Asteroid( int id, Vertex pos, Vertex speed, float rot, float rotS, Model2DData *data );
    bool tick( const WeltInfo &info, double zeit ) override;
    Asteroid *istTreffer( Laser *zL, RandomGenerator *zRandG, int &asteroidId, Vertex &pos );
    int getId() const;
};